<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HWPFList (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HWPFList (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFList.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/LineSpacingDescriptor.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/HWPFList.html" target="_top">Frames</a>
        </li>
        <li><a href="HWPFList.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Class HWPFList" class="title">Class HWPFList</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.usermodel.HWPFList</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HWPFList</span>
extends java.lang.Object</pre>
                <div class="block">This class is used to create a list in a Word document. It is used in
                    conjunction with
                    <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html#registerList-org.apache.poi.hwpf.usermodel.HWPFList-"><code>registerList</code></a>
                    in <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                          title="class in org.apache.poi.hwpf"><code>HWPFDocument</code></a>.

                    In Word, lists are not ranged entities, meaning you can't actually add one to
                    the document. Lists only act as properties for list entries. Once you
                    register a list, you can add list entries to a document that are a part of
                    the list.

                    The only benefit of this that I see, is that you can add a list entry
                    anywhere in the document and continue numbering from the previous list.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Ryan Ackley</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#HWPFList-boolean-org.apache.poi.hwpf.model.StyleSheet-">HWPFList</a></span>(boolean&nbsp;numbered,
                                    <a href="../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                       title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#HWPFList-org.apache.poi.hwpf.model.StyleSheet-org.apache.poi.hwpf.model.ListTables-int-">HWPFList</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                        title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet,
                                    <a href="../../../../../org/apache/poi/hwpf/model/ListTables.html"
                                       title="class in org.apache.poi.hwpf.model">ListTables</a>&nbsp;listTables,
                                    int&nbsp;ilfo)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/hwpf/model/LFO.html"
                                                              title="class in org.apache.poi.hwpf.model">LFO</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getLFO--">getLFO</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/model/LFOData.html"
                                        title="class in org.apache.poi.hwpf.model">LFOData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getLFOData--">getLFOData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/model/ListData.html"
                                        title="class in org.apache.poi.hwpf.model">ListData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getListData--">getListData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getLsid--">getLsid</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getNumberFormat-char-">getNumberFormat</a></span>(char&nbsp;level)</code>
                                    <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                        specifies
                                        the format of the level numbers that replace the placeholders for this
                                        level in the xst fields of the LVLs in this list.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getNumberText-char-">getNumberText</a></span>(char&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getStartAt-char-">getStartAt</a></span>(char&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#getTypeOfCharFollowingTheNumber-char-">getTypeOfCharFollowingTheNumber</a></span>(char&nbsp;level)</code>
                                    <div class="block">"The type of character following the number text for the
                                        paragraph: 0 == tab, 1 == space, 2 == nothing."
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#isIgnoreLogicalLeftIdentation--">isIgnoreLogicalLeftIdentation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#isStartAtOverriden-char-">isStartAtOverriden</a></span>(char&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#setIgnoreLogicalLeftIdentation-boolean-">setIgnoreLogicalLeftIdentation</a></span>(boolean&nbsp;ignoreLogicalLeftIdentation)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#setLevelNumberProperties-int-org.apache.poi.hwpf.usermodel.CharacterProperties-">setLevelNumberProperties</a></span>(int&nbsp;level,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                       title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;chp)</code>
                                    <div class="block">Sets the character properties of the list numbers.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#setLevelParagraphProperties-int-org.apache.poi.hwpf.usermodel.ParagraphProperties-">setLevelParagraphProperties</a></span>(int&nbsp;level,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html"
                                       title="class in org.apache.poi.hwpf.usermodel">ParagraphProperties</a>&nbsp;pap)</code>
                                    <div class="block">Sets the paragraph properties for a particular level of the
                                        list.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#setLevelStyle-int-int-">setLevelStyle</a></span>(int&nbsp;level,
                                    int&nbsp;styleIndex)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HWPFList-boolean-org.apache.poi.hwpf.model.StyleSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HWPFList</h4>
                                <pre>public&nbsp;HWPFList(boolean&nbsp;numbered,
                <a href="../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                   title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numbered</code> - true if the list should be numbered; false if it should
                                        be
                                        bulleted.
                                    </dd>
                                    <dd><code>styleSheet</code> - The document's stylesheet.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HWPFList-org.apache.poi.hwpf.model.StyleSheet-org.apache.poi.hwpf.model.ListTables-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HWPFList</h4>
                                <pre>public&nbsp;HWPFList(<a
                                        href="../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                        title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet,
                <a href="../../../../../org/apache/poi/hwpf/model/ListTables.html"
                   title="class in org.apache.poi.hwpf.model">ListTables</a>&nbsp;listTables,
                int&nbsp;ilfo)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getLFO--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLFO</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/LFO.html"
               title="class in org.apache.poi.hwpf.model">LFO</a>&nbsp;getLFO()</pre>
                            </li>
                        </ul>
                        <a name="getLFOData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLFOData</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/LFOData.html" title="class in org.apache.poi.hwpf.model">LFOData</a>&nbsp;getLFOData()</pre>
                            </li>
                        </ul>
                        <a name="getListData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getListData</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/ListData.html" title="class in org.apache.poi.hwpf.model">ListData</a>&nbsp;getListData()</pre>
                            </li>
                        </ul>
                        <a name="getLsid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLsid</h4>
                                <pre>public&nbsp;int&nbsp;getLsid()</pre>
                            </li>
                        </ul>
                        <a name="getNumberFormat-char-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormat</h4>
                                <pre>public&nbsp;int&nbsp;getNumberFormat(char&nbsp;level)</pre>
                                <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                    specifies
                                    the format of the level numbers that replace the placeholders for this
                                    level in the xst fields of the LVLs in this list. This value MUST not be
                                    equal to 0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17,
                                    this level does not have a number sequence and therefore has no number
                                    formatting. If this is equal to 0x17, the level uses bullets.
                                </div>
                            </li>
                        </ul>
                        <a name="getNumberText-char-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getNumberText(char&nbsp;level)</pre>
                            </li>
                        </ul>
                        <a name="getStartAt-char-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStartAt</h4>
                                <pre>public&nbsp;int&nbsp;getStartAt(char&nbsp;level)</pre>
                            </li>
                        </ul>
                        <a name="getTypeOfCharFollowingTheNumber-char-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeOfCharFollowingTheNumber</h4>
                                <pre>public&nbsp;byte&nbsp;getTypeOfCharFollowingTheNumber(char&nbsp;level)</pre>
                                <div class="block">"The type of character following the number text for the paragraph: 0
                                    == tab, 1 == space, 2 == nothing."
                                </div>
                            </li>
                        </ul>
                        <a name="isIgnoreLogicalLeftIdentation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isIgnoreLogicalLeftIdentation</h4>
                                <pre>public&nbsp;boolean&nbsp;isIgnoreLogicalLeftIdentation()</pre>
                            </li>
                        </ul>
                        <a name="isStartAtOverriden-char-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStartAtOverriden</h4>
                                <pre>public&nbsp;boolean&nbsp;isStartAtOverriden(char&nbsp;level)</pre>
                            </li>
                        </ul>
                        <a name="setIgnoreLogicalLeftIdentation-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIgnoreLogicalLeftIdentation</h4>
                                <pre>public&nbsp;void&nbsp;setIgnoreLogicalLeftIdentation(boolean&nbsp;ignoreLogicalLeftIdentation)</pre>
                            </li>
                        </ul>
                        <a name="setLevelNumberProperties-int-org.apache.poi.hwpf.usermodel.CharacterProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevelNumberProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLevelNumberProperties(int&nbsp;level,
                                     <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                        title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;chp)</pre>
                                <div class="block">Sets the character properties of the list numbers.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - the level number that the properties should apply to.</dd>
                                    <dd><code>chp</code> - The character properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLevelParagraphProperties-int-org.apache.poi.hwpf.usermodel.ParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevelParagraphProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLevelParagraphProperties(int&nbsp;level,
                                        <a href="../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html"
                                           title="class in org.apache.poi.hwpf.usermodel">ParagraphProperties</a>&nbsp;pap)</pre>
                                <div class="block">Sets the paragraph properties for a particular level of the list.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - The level number.</dd>
                                    <dd><code>pap</code> - The paragraph properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLevelStyle-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setLevelStyle</h4>
                                <pre>public&nbsp;void&nbsp;setLevelStyle(int&nbsp;level,
                          int&nbsp;styleIndex)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HWPFList.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/LineSpacingDescriptor.html"
               title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/HWPFList.html" target="_top">Frames</a>
        </li>
        <li><a href="HWPFList.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
